LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Stereo3D", {
	type = "launcher",
	text = "Stereo3D",
	OnClick = function(_, msg)
		if msg == "LeftButton" then
			local stereoMode = 1 - GetCVar("gxStereoEnabled")
			SetCVar("gxStereoEnabled", stereoMode)
			SetCVar("gxWindow", 0)
			RestartGx()
	  end
	end,
	icon = "Interface\\Icons\\Achievement_Boss_Illidan",
	OnTooltipShow = function(tooltip)
		if GetCVar("gxStereoEnabled") == "1" then
			tooltip:AddDoubleLine("Stereo", "Stereo3D Enabled")
		else
			tooltip:AddDoubleLine("Stereo", "Stereo3D Disabled")
		end
		tooltip:AddLine("|cffffff00" .. "Click|r to toggle 3d Stereo")
		tooltip:Show()
	end,
})